# Class XmrNodeClient

#### Hierarchy

- XmrNodeClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:1547

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorGetXmrNodeSettings
methodDescriptorIsXmrNodeOnline
methodDescriptorStartXmrNode
methodDescriptorStopXmrNode
options_

### Methods

getXmrNodeSettings
isXmrNodeOnline
startXmrNode
stopXmrNode

## Constructors

### constructor

- new XmrNodeClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): XmrNodeClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns XmrNodeClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1553

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:1548

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1550

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:1549

### methodDescriptorGetXmrNodeSettings

methodDescriptorGetXmrNodeSettings: MethodDescriptor<GetXmrNodeSettingsRequest, GetXmrNodeSettingsReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1609

### methodDescriptorIsXmrNodeOnline

methodDescriptorIsXmrNodeOnline: MethodDescriptor<IsXmrNodeOnlineRequest, IsXmrNodeOnlineReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1566

### methodDescriptorStartXmrNode

methodDescriptorStartXmrNode: MethodDescriptor<StartXmrNodeRequest, StartXmrNodeReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1652

### methodDescriptorStopXmrNode

methodDescriptorStopXmrNode: MethodDescriptor<StopXmrNodeRequest, StopXmrNodeReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1695

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1551

## Methods

### getXmrNodeSettings

- getXmrNodeSettings(request: GetXmrNodeSettingsRequest, metadata?: null | Metadata): Promise<GetXmrNodeSettingsReply>

- #### Parameters

  - ##### request: GetXmrNodeSettingsRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetXmrNodeSettingsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1620
- getXmrNodeSettings(request: GetXmrNodeSettingsRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetXmrNodeSettingsReply) => void)): ClientReadableStream<GetXmrNodeSettingsReply>

- #### Parameters

  - ##### request: GetXmrNodeSettingsRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetXmrNodeSettingsReply) => void)

    - - (err: RpcError, response: GetXmrNodeSettingsReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetXmrNodeSettingsReply

        #### Returns void

  #### Returns ClientReadableStream<GetXmrNodeSettingsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1624

### isXmrNodeOnline

- isXmrNodeOnline(request: IsXmrNodeOnlineRequest, metadata?: null | Metadata): Promise<IsXmrNodeOnlineReply>

- #### Parameters

  - ##### request: IsXmrNodeOnlineRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<IsXmrNodeOnlineReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1577
- isXmrNodeOnline(request: IsXmrNodeOnlineRequest, metadata: null | Metadata, callback: ((err: RpcError, response: IsXmrNodeOnlineReply) => void)): ClientReadableStream<IsXmrNodeOnlineReply>

- #### Parameters

  - ##### request: IsXmrNodeOnlineRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: IsXmrNodeOnlineReply) => void)

    - - (err: RpcError, response: IsXmrNodeOnlineReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: IsXmrNodeOnlineReply

        #### Returns void

  #### Returns ClientReadableStream<IsXmrNodeOnlineReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1581

### startXmrNode

- startXmrNode(request: StartXmrNodeRequest, metadata?: null | Metadata): Promise<StartXmrNodeReply>

- #### Parameters

  - ##### request: StartXmrNodeRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<StartXmrNodeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1663
- startXmrNode(request: StartXmrNodeRequest, metadata: null | Metadata, callback: ((err: RpcError, response: StartXmrNodeReply) => void)): ClientReadableStream<StartXmrNodeReply>

- #### Parameters

  - ##### request: StartXmrNodeRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: StartXmrNodeReply) => void)

    - - (err: RpcError, response: StartXmrNodeReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: StartXmrNodeReply

        #### Returns void

  #### Returns ClientReadableStream<StartXmrNodeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1667

### stopXmrNode

- stopXmrNode(request: StopXmrNodeRequest, metadata?: null | Metadata): Promise<StopXmrNodeReply>

- #### Parameters

  - ##### request: StopXmrNodeRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<StopXmrNodeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1706
- stopXmrNode(request: StopXmrNodeRequest, metadata: null | Metadata, callback: ((err: RpcError, response: StopXmrNodeReply) => void)): ClientReadableStream<StopXmrNodeReply>

- #### Parameters

  - ##### request: StopXmrNodeRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: StopXmrNodeReply) => void)

    - - (err: RpcError, response: StopXmrNodeReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: StopXmrNodeReply

        #### Returns void

  #### Returns ClientReadableStream<StopXmrNodeReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1710

Generated using TypeDoc